Skip to main content
GET
/
api
/
v1
/
agents
/
{agentId}
Get an agent
curl --request GET \
  --url https://app.eigenpal.com/api/v1/agents/{agentId} \
  --header 'Authorization: Bearer <token>'
{
  "agent": {
    "id": "<string>",
    "slug": "<string>",
    "name": "<string>",
    "createdAt": "<string>",
    "description": "<string>",
    "latestVersion": "<string>",
    "latestCommit": "<string>",
    "config": {},
    "updatedAt": "<string>",
    "stats": {
      "exampleCount": 0,
      "totalExecutions": 0,
      "lastExecutionAt": "<string>",
      "avgDurationMs": 123,
      "avgCredits": 123
    }
  }
}

Authorizations

Authorization
string
header
required

API key issued from Settings → API Keys. Pass as Authorization: Bearer <key>.

Path Parameters

agentId
string
required

Agent id or slug

Query Parameters

include
string

Comma-separated optional sections, e.g. files,dataset

Response

Agent

agent
object
required